require 'rails_helper'

RSpec.describe "settings/accounts/new", type: :view do
  before(:each) do
    assign(:settings_account, Settings::Account.new(
      :title => "MyString",
      :account_type => "MyString"
    ))
  end

  it "renders new settings_account form" do
    render

    assert_select "form[action=?][method=?]", settings_accounts_path, "post" do

      assert_select "input[name=?]", "settings_account[title]"

      assert_select "input[name=?]", "settings_account[account_type]"
    end
  end
end
